Skip to main content
Platform O&M/Tag Operations
POSTTag OperationsSince 0.6SynchronousAuth Required

CreateUserTag

CreateUserTag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • resourceTypeStringRequired

      The resource type, which must be specified when you create a tag.

    • resourceUuidStringRequired

      The resource UUID. If specified, the system will not allocate randomly a UUID to the resource.

    • tagStringRequired

      The tag string.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryUserTagInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The resource UUID. If specified, the system will not allocate randomly a UUID to the resource.

    • resourceTypeStringRequired

      The resource type, which must be specified when you create a tag.

    • tagStringRequired

      The tag string.

    • typeStringRequired

      The reserved field for internal use.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/user-tags

/zstack/v1/user-tags

Operation ID

CreateUserTag

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/user-tags' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"resourceType":"<resourceType>","resourceUuid":"<resourceUuid>","tag":"<tag>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "b97c64cbf0524f809c05bf9eaf262b79", "resourceType": "DiskOfferingVO", "tag": "for-large-DB", "type": "User", "createDate": "May 11, 2017 1:22:33 PM", "lastOpDate": "May 11, 2017 1:22:33 PM" } }

Change History

This API has no change history records yet.

View all change history